new spam assassin upgrade failed

what is the issue?

Now updating spamassassin ..

Installing package(s) with command apt-get -y install spamassassin .. Setting up mailman (1:2.1.9-9ubuntu1.1) ... Looking for enabled languages (this may take some time) ... done. Installing site language en ............................................ done. No updates are necessary. * Starting Mailman master qrunner mailmanctl Traceback (most recent call last): File "/usr/lib/mailman/bin/mailmanctl", line 555, in <module> main() File "/usr/lib/mailman/bin/mailmanctl", line 367, in main check_for_site_list() File "/usr/lib/mailman/bin/mailmanctl", line 277, in check_for_site_list sitelist = MailList(sitelistname, lock=0) File "/var/lib/mailman/Mailman/MailList.py", line 130, in __init__ self.Load() File "/var/lib/mailman/Mailman/MailList.py", line 629, in Load dict, e = self.__load(file) File "/var/lib/mailman/Mailman/MailList.py", line 595, in __load fp = open(dbfile) IOError: [Errno 13] Permission denied: '/var/lib/mailman/lists/mailman/config.pck' ...fail! invoke-rc.d: initscript mailman, action "start" failed. dpkg: error processing mailman (--configure): subprocess post-installation script returned error exit status 1 Errors were encountered while processing: mailman Reading package lists... Building dependency tree... Reading state information... The following packages were automatically installed and are no longer required: sharutils libdns35 libclamav5 libgmp3c2 Use 'apt-get autoremove' to remove them. Suggested packages: libio-socket-ssl-perl libmail-dkim-perl libnet-ident-perl pyzor razor Recommended packages: libsys-syslog-perl make re2c The following packages will be upgraded: spamassassin 1 upgraded, 0 newly installed, 0 to remove and 111 not upgraded. 1 not fully installed or removed. Need to get 1083kB of archives. After this operation, 16.4kB disk space will be freed. Get:1 http://us.archive.ubuntu.com hardy-updates/universe spamassassin 3.2.4-1ubuntu1.3 [1083kB] Fetched 1083kB in 1s (805kB/s) (Reading database ... 73445 files and directories currently installed.) Preparing to replace spamassassin 3.2.4-1ubuntu1.2 (using .../spamassassin_3.2.4-1ubuntu1.3_all.deb) ... SpamAssassin Mail Filter Daemon: disabled, see /etc/default/spamassassin Unpacking replacement spamassassin ... Setting up mailman (1:2.1.9-9ubuntu1.1) ... Looking for enabled languages (this may take some time) ... done. Installing site language en ............................................ done. No updates are necessary. * Starting Mailman master qrunner mailmanctl Traceback (most recent call last): File "/usr/lib/mailman/bin/mailmanctl", line 555, in <module> main() File "/usr/lib/mailman/bin/mailmanctl", line 367, in main check_for_site_list() File "/usr/lib/mailman/bin/mailmanctl", line 277, in check_for_site_list sitelist = MailList(sitelistname, lock=0) File "/var/lib/mailman/Mailman/MailList.py", line 130, in __init__ self.Load() File "/var/lib/mailman/Mailman/MailList.py", line 629, in Load dict, e = self.__load(file) File "/var/lib/mailman/Mailman/MailList.py", line 595, in __load fp = open(dbfile) IOError: [Errno 13] Permission denied: '/var/lib/mailman/lists/mailman/config.pck' ...fail! invoke-rc.d: initscript mailman, action "start" failed. dpkg: error processing mailman (--configure): subprocess post-installation script returned error exit status 1 Setting up spamassassin (3.2.4-1ubuntu1.3) ... SpamAssassin Mail Filter Daemon: disabled, see /etc/default/spamassassin Errors were encountered while processing: mailman E: Sub-process /usr/bin/dpkg returned an error code (1) .. install failed!

Now updating spamc ..

Installing package(s) with command apt-get -y install spamc .. Setting up mailman (1:2.1.9-9ubuntu1.1) ... Looking for enabled languages (this may take some time) ... done. Installing site language en ............................................ done. No updates are necessary. * Starting Mailman master qrunner mailmanctl Traceback (most recent call last): File "/usr/lib/mailman/bin/mailmanctl", line 555, in <module> main() File "/usr/lib/mailman/bin/mailmanctl", line 367, in main check_for_site_list() File "/usr/lib/mailman/bin/mailmanctl", line 277, in check_for_site_list sitelist = MailList(sitelistname, lock=0) File "/var/lib/mailman/Mailman/MailList.py", line 130, in __init__ self.Load() File "/var/lib/mailman/Mailman/MailList.py", line 629, in Load dict, e = self.__load(file) File "/var/lib/mailman/Mailman/MailList.py", line 595, in __load fp = open(dbfile) IOError: [Errno 13] Permission denied: '/var/lib/mailman/lists/mailman/config.pck' ...fail! invoke-rc.d: initscript mailman, action "start" failed. dpkg: error processing mailman (--configure): subprocess post-installation script returned error exit status 1 Errors were encountered while processing: mailman Reading package lists... Building dependency tree... Reading state information... The following packages were automatically installed and are no longer required: sharutils libdns35 libclamav5 libgmp3c2 Use 'apt-get autoremove' to remove them. The following packages will be upgraded: spamc 1 upgraded, 0 newly installed, 0 to remove and 110 not upgraded. 1 not fully installed or removed. Need to get 77.4kB of archives. After this operation, 0B of additional disk space will be used. Get:1 http://us.archive.ubuntu.com hardy-updates/universe spamc 3.2.4-1ubuntu1.3 [77.4kB] Fetched 77.4kB in 0s (121kB/s) (Reading database ... 73445 files and directories currently installed.) Preparing to replace spamc 3.2.4-1ubuntu1.2 (using .../spamc_3.2.4-1ubuntu1.3_amd64.deb) ... Unpacking replacement spamc ... Setting up mailman (1:2.1.9-9ubuntu1.1) ... Looking for enabled languages (this may take some time) ... done. Installing site language en ............................................ done. No updates are necessary. * Starting Mailman master qrunner mailmanctl Traceback (most recent call last): File "/usr/lib/mailman/bin/mailmanctl", line 555, in <module> main() File "/usr/lib/mailman/bin/mailmanctl", line 367, in main check_for_site_list() File "/usr/lib/mailman/bin/mailmanctl", line 277, in check_for_site_list sitelist = MailList(sitelistname, lock=0) File "/var/lib/mailman/Mailman/MailList.py", line 130, in __init__ self.Load() File "/var/lib/mailman/Mailman/MailList.py", line 629, in Load dict, e = self.__load(file) File "/var/lib/mailman/Mailman/MailList.py", line 595, in __load fp = open(dbfile) IOError: [Errno 13] Permission denied: '/var/lib/mailman/lists/mailman/config.pck' ...fail! invoke-rc.d: initscript mailman, action "start" failed. dpkg: error processing mailman (--configure): subprocess post-installation script returned error exit status 1 Setting up spamc (3.2.4-1ubuntu1.3) ... Errors were encountered while processing: mailman E: Sub-process /usr/bin/dpkg returned an error code (1) .. install failed!
Status: 
Active

Comments

It looks like your SpamAssassin install worked well, actually -- it's Mailman that seems to be causing trouble.

According to the error above, it looks like there's a permissions problem of some sort.

What output do you receive when typing this command on your server:

ls -la /var/lib/mailman/lists/mailman/

Joe's picture
Submitted by Joe on Sun, 12/12/2010 - 17:27 Pro Licensee

Note also that the Mailman package is not provided by us. If it's broken, you'll need to talk to the Ubuntu folks about it, as they're the ones that can fix the package.